KServiceOffer class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KServiceOffer Class Reference

This class holds the characteristics of a service offer (whether it can be a default offer or not, how big is the preference for this offer, ...) Holds the characteristics of a service offer. More...

`#include <kuserprofile.h>`

Collaboration diagram for KServiceOffer:

[legend]
List of all members.

## Public Member Functions
| KServiceOffer (const KServiceOffer &)
| KServiceOffer (KService::Ptr _service, int _pref, bool _default)
bool | operator< (const KServiceOffer &) const
bool | allowAsDefault () const
| Is it allowed to use this service for default actions (e.g.
int | preference () const
| The bigger this number is, the better is this service.
KService::Ptr | service () const
| The service which this offer is about.
bool | isValid () const
| Whether the entry is valid.

## Detailed Description

This class holds the characteristics of a service offer (whether it can be a default offer or not, how big is the preference for this offer, ...) Holds the characteristics of a service offer.

Definition at line 37 of file kuserprofile.h.

## Member Function Documentation

bool KServiceOffer::allowAsDefault | ( |  | ) | const`[inline]`

| Is it allowed to use this service for default actions (e.g. Left Click in a file manager, or KRun in general) Definition at line 50 of file kuserprofile.h.

int KServiceOffer::preference | ( |  | ) | const`[inline]`

| The bigger this number is, the better is this service. Definition at line 54 of file kuserprofile.h.

KService::Ptr KServiceOffer::service | ( |  | ) | const`[inline]`

| The service which this offer is about. Definition at line 58 of file kuserprofile.h.

bool KServiceOffer::isValid | ( |  | ) | const`[inline]`

| Whether the entry is valid. Definition at line 62 of file kuserprofile.h.

The documentation for this class was generated from the following files:

- kuserprofile.h
- kuserprofile.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:22:41 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001